.rui-item {
  display: flex;
  flex-direction: column;
  border-radius: var(--border-radius);
  background-color: var(--component-content-background);

  &:not(:last-child) {
    margin-bottom: var(--spacer-default);
  }

  &__header {
    display: flex;
    align-items: center;
    padding: var(--spacer-small) var(--spacer-default);
    gap: var(--spacer-default);

    &__image {
      flex: none;
      img { max-height: 2rem; }
    }

    &__title {
      flex-grow: 1;
    }

    &__icon {
      flex: none;
      img { max-height: 2rem; }
    }
  }

  &__aside {
    padding: var(--spacer-small) var(--spacer-default);
    border-top: 1px solid var(--border-color);
    text-align: right;
  }

  &__content {
    padding: var(--spacer-small);
    border-radius: var(--border-radius-small);
    border-top: 1px solid var(--border-color);
    margin: var(--spacer-small);
    background-color: var(--background-color);

    // Sub items
    > .rui-item {
      background-color: var(--component-content-background-alt);
    }
  }

  &--collapsed {
    .rui-item__content {
      overflow: hidden;
      height: 0;
      padding: 0;
      border-top: none;
      margin: 0;
    }
  }

  &--disabled {
    color: var(--color-mute);
    opacity: 0.5;
    transition: opacity linear 0.25s;

    &:hover {
      color: inherit;
      opacity: 1;
    }
  }
}
